function dy = fXaug(t,y,p)
% Vector field for augmented state (states + parameters)
Eca=p(5);
Ek=p(6);
El=p(7);
Cm=p(12);
Iapp=p(13);
V = y(1,:);
n = y(2,:);
phi=y(3,:);
Gca=y(4,:); 
Gk=y(7,:);
Gl=y(8,:);
V3=y(5,:);
V4=y(6,:);
V1=y(9,:);
V2=y(10,:);
dy=zeros(size(y)); % parameters' derivatives are 0
dy(1,:)= fV(V,n,Iapp,Gca,Gk,Gl,Eca,Ek,El,Cm,V1,V2);
dy(2,:)=fn(V,n,phi,V3,V4);
end
